Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.campaign
Class AddUserDiscountActionDef

    java.lang.Object
      com.bea.campaign.action.ActionDef
          com.bea.commerce.ebusiness.campaign.AddUserDiscountActionDef

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class AddUserDiscountActionDef

extends ActionDef

An action definition specific to the AddUserDiscountAction

See Also
  Serialized Form

Constructor Summary
`AddUserDiscountActionDef()` Deprecated
`AddUserDiscountActionDef(String name, String description)` Deprecated Constructor.
`AddUserDiscountActionDef(String set, String name, String description)` Deprecated use the two argument constructor

Method Summary

Methods inherited from class com.bea.campaign.action.ActionDef
`createAction, getActionParams, getActionService, getActionType, setActionParams, setActionType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddUserDiscountActionDef

    public AddUserDiscountActionDef()

  Deprecated

### AddUserDiscountActionDef

    public AddUserDiscountActionDef(String set,
                                    String name,
                                    String description)

  Deprecated use the two argument constructor

  Constructor.

  Parameters
    `set` - the discount set name.
    `name` - the discount name.
    `description` - the description of the discount offer.

### AddUserDiscountActionDef

    public AddUserDiscountActionDef(String name,
                                    String description)

  Deprecated
  Constructor.

  Parameters
    `name` - the discount name.
    `description` - the description of the discount offer.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.